package com.osi.notification.test;

import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.UriInfo;

@Path("test")
public interface SimpleNotificationTestResource {

	@POST
	@Consumes("text/plain")
	public void sendTestNotification(String notification);
	
	@PUT
	@Consumes("application/json")
	@Path("receive")
	public void receive(String notification);
	
	@POST
	@Path("subscription")
	@Consumes("text/plain")
	public Response subscribe(@Context UriInfo uriInfo);
	
	@DELETE
	@Path("subscription")
	public void unsubscribe();
}
